com.icesoft.faces.component

## Class ExtendedAttributeConstants

- java.lang.Object
- - com.icesoft.faces.component.ExtendedAttributeConstants

-     public class ExtendedAttributeConstants
      extends java.lang.Object

  Auto-generated Component Base class. Generated on Aug 13, 2008 Do NOT modify; all changes will be lost!

  This class helps with Renderer to get component and the passthrough attributes associated with them.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ICE_CHECKBOX`
    `static int` | `ICE_COLUMN`
    `static int` | `ICE_COLUMNGROUP`
    `static int` | `ICE_COLUMNS`
    `static int` | `ICE_COMMANDBUTTON`
    `static int` | `ICE_COMMANDLINK`
    `static int` | `ICE_COMMANDSORTHEADER`
    `static int` | `ICE_DATAPAGINATOR`
    `static int` | `ICE_DATATABLE`
    `static int` | `ICE_EFFECT`
    `static int` | `ICE_FORM`
    `static int` | `ICE_GMAP`
    `static int` | `ICE_GMAPCONTROL`
    `static int` | `ICE_GMAPDIRECTION`
    `static int` | `ICE_GMAPGEOXML`
    `static int` | `ICE_GMAPLATLNG`
    `static int` | `ICE_GMAPLATLNGS`
    `static int` | `ICE_GMAPMARKER`
    `static int` | `ICE_GRAPHICIMAGE`
    `static int` | `ICE_HEADERROW`
    `static int` | `ICE_INPUTFILE`
    `static int` | `ICE_INPUTHIDDEN`
    `static int` | `ICE_INPUTRICHTEXT`
    `static int` | `ICE_INPUTSECRET`
    `static int` | `ICE_INPUTTEXT`
    `static int` | `ICE_INPUTTEXTAREA`
    `static int` | `ICE_MENUBAR`
    `static int` | `ICE_MENUITEM`
    `static int` | `ICE_MENUITEMS`
    `static int` | `ICE_MENUITEMSEPARATOR`
    `static int` | `ICE_MENUPOPUP`
    `static int` | `ICE_MESSAGE`
    `static int` | `ICE_MESSAGES`
    `static int` | `ICE_OUTPUTBODY`
    `static int` | `ICE_OUTPUTCHART`
    `static int` | `ICE_OUTPUTCONNECTIONSTATUS`
    `static int` | `ICE_OUTPUTDECLARATION`
    `static int` | `ICE_OUTPUTFORMAT`
    `static int` | `ICE_OUTPUTHEAD`
    `static int` | `ICE_OUTPUTHTML`
    `static int` | `ICE_OUTPUTLABEL`
    `static int` | `ICE_OUTPUTLINK`
    `static int` | `ICE_OUTPUTMEDIA`
    `static int` | `ICE_OUTPUTPROGRESS`
    `static int` | `ICE_OUTPUTSTYLE`
    `static int` | `ICE_OUTPUTTEXT`
    `static int` | `ICE_PANELBORDER`
    `static int` | `ICE_PANELCOLLAPSIBLE`
    `static int` | `ICE_PANELCONFIRMATION`
    `static int` | `ICE_PANELDIVIDER`
    `static int` | `ICE_PANELGRID`
    `static int` | `ICE_PANELGROUP`
    `static int` | `ICE_PANELLAYOUT`
    `static int` | `ICE_PANELPOPUP`
    `static int` | `ICE_PANELPOSITIONED`
    `static int` | `ICE_PANELSERIES`
    `static int` | `ICE_PANELSTACK`
    `static int` | `ICE_PANELTAB`
    `static int` | `ICE_PANELTABSET`
    `static int` | `ICE_PANELTOOLTIP`
    `static int` | `ICE_PORTLET`
    `static int` | `ICE_RADIO`
    `static int` | `ICE_ROWSELECTOR`
    `static int` | `ICE_SELECTBOOLEANCHECKBOX`
    `static int` | `ICE_SELECTINPUTDATE`
    `static int` | `ICE_SELECTINPUTTEXT`
    `static int` | `ICE_SELECTMANYCHECKBOX`
    `static int` | `ICE_SELECTMANYLISTBOX`
    `static int` | `ICE_SELECTMANYMENU`
    `static int` | `ICE_SELECTONELISTBOX`
    `static int` | `ICE_SELECTONEMENU`
    `static int` | `ICE_SELECTONERADIO`
    `static int` | `ICE_TREE`
    `static int` | `ICE_TREENODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedAttributeConstants()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[]` | `getAttributes(int i)`
    `static java.lang.String[]` | `getAttributes(int index, java.lang.String[] remove)` This method is used to exclude entries from a components's list of passthrough attributes.
    `static java.lang.String[]` | `getAttributes(int index, java.lang.String[][] remove)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ICE_EFFECT

          public static final int ICE_EFFECT

      See Also:
        Constant Field Values

    - #### ICE_PANELBORDER

          public static final int ICE_PANELBORDER

      See Also:
        Constant Field Values

    - #### ICE_COLUMN

          public static final int ICE_COLUMN

      See Also:
        Constant Field Values

    - #### ICE_COLUMNGROUP

          public static final int ICE_COLUMNGROUP

      See Also:
        Constant Field Values

    - #### ICE_COLUMNS

          public static final int ICE_COLUMNS

      See Also:
        Constant Field Values

    - #### ICE_DATAPAGINATOR

          public static final int ICE_DATAPAGINATOR

      See Also:
        Constant Field Values

    - #### ICE_INPUTFILE

          public static final int ICE_INPUTFILE

      See Also:
        Constant Field Values

    - #### ICE_GMAP

          public static final int ICE_GMAP

      See Also:
        Constant Field Values

    - #### ICE_GMAPCONTROL

          public static final int ICE_GMAPCONTROL

      See Also:
        Constant Field Values

    - #### ICE_GMAPDIRECTION

          public static final int ICE_GMAPDIRECTION

      See Also:
        Constant Field Values

    - #### ICE_GMAPGEOXML

          public static final int ICE_GMAPGEOXML

      See Also:
        Constant Field Values

    - #### ICE_GMAPLATLNG

          public static final int ICE_GMAPLATLNG

      See Also:
        Constant Field Values

    - #### ICE_GMAPLATLNGS

          public static final int ICE_GMAPLATLNGS

      See Also:
        Constant Field Values

    - #### ICE_GMAPMARKER

          public static final int ICE_GMAPMARKER

      See Also:
        Constant Field Values

    - #### ICE_HEADERROW

          public static final int ICE_HEADERROW

      See Also:
        Constant Field Values

    - #### ICE_CHECKBOX

          public static final int ICE_CHECKBOX

      See Also:
        Constant Field Values

    - #### ICE_COMMANDBUTTON

          public static final int ICE_COMMANDBUTTON

      See Also:
        Constant Field Values

    - #### ICE_COMMANDLINK

          public static final int ICE_COMMANDLINK

      See Also:
        Constant Field Values

    - #### ICE_DATATABLE

          public static final int ICE_DATATABLE

      See Also:
        Constant Field Values

    - #### ICE_FORM

          public static final int ICE_FORM

      See Also:
        Constant Field Values

    - #### ICE_GRAPHICIMAGE

          public static final int ICE_GRAPHICIMAGE

      See Also:
        Constant Field Values

    - #### ICE_INPUTHIDDEN

          public static final int ICE_INPUTHIDDEN

      See Also:
        Constant Field Values

    - #### ICE_INPUTSECRET

          public static final int ICE_INPUTSECRET

      See Also:
        Constant Field Values

    - #### ICE_INPUTTEXT

          public static final int ICE_INPUTTEXT

      See Also:
        Constant Field Values

    - #### ICE_INPUTTEXTAREA

          public static final int ICE_INPUTTEXTAREA

      See Also:
        Constant Field Values

    - #### ICE_MESSAGE

          public static final int ICE_MESSAGE

      See Also:
        Constant Field Values

    - #### ICE_MESSAGES

          public static final int ICE_MESSAGES

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTFORMAT

          public static final int ICE_OUTPUTFORMAT

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTLABEL

          public static final int ICE_OUTPUTLABEL

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTLINK

          public static final int ICE_OUTPUTLINK

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTTEXT

          public static final int ICE_OUTPUTTEXT

      See Also:
        Constant Field Values

    - #### ICE_PANELGRID

          public static final int ICE_PANELGRID

      See Also:
        Constant Field Values

    - #### ICE_PANELGROUP

          public static final int ICE_PANELGROUP

      See Also:
        Constant Field Values

    - #### ICE_RADIO

          public static final int ICE_RADIO

      See Also:
        Constant Field Values

    - #### ICE_SELECTBOOLEANCHECKBOX

          public static final int ICE_SELECTBOOLEANCHECKBOX

      See Also:
        Constant Field Values

    - #### ICE_SELECTMANYCHECKBOX

          public static final int ICE_SELECTMANYCHECKBOX

      See Also:
        Constant Field Values

    - #### ICE_SELECTMANYLISTBOX

          public static final int ICE_SELECTMANYLISTBOX

      See Also:
        Constant Field Values

    - #### ICE_SELECTMANYMENU

          public static final int ICE_SELECTMANYMENU

      See Also:
        Constant Field Values

    - #### ICE_SELECTONELISTBOX

          public static final int ICE_SELECTONELISTBOX

      See Also:
        Constant Field Values

    - #### ICE_SELECTONEMENU

          public static final int ICE_SELECTONEMENU

      See Also:
        Constant Field Values

    - #### ICE_SELECTONERADIO

          public static final int ICE_SELECTONERADIO

      See Also:
        Constant Field Values

    - #### ICE_INPUTRICHTEXT

          public static final int ICE_INPUTRICHTEXT

      See Also:
        Constant Field Values

    - #### ICE_MENUBAR

          public static final int ICE_MENUBAR

      See Also:
        Constant Field Values

    - #### ICE_MENUITEM

          public static final int ICE_MENUITEM

      See Also:
        Constant Field Values

    - #### ICE_MENUITEMSEPARATOR

          public static final int ICE_MENUITEMSEPARATOR

      See Also:
        Constant Field Values

    - #### ICE_MENUITEMS

          public static final int ICE_MENUITEMS

      See Also:
        Constant Field Values

    - #### ICE_MENUPOPUP

          public static final int ICE_MENUPOPUP

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTBODY

          public static final int ICE_OUTPUTBODY

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTCHART

          public static final int ICE_OUTPUTCHART

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTCONNECTIONSTATUS

          public static final int ICE_OUTPUTCONNECTIONSTATUS

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTDECLARATION

          public static final int ICE_OUTPUTDECLARATION

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTHEAD

          public static final int ICE_OUTPUTHEAD

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTHTML

          public static final int ICE_OUTPUTHTML

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTMEDIA

          public static final int ICE_OUTPUTMEDIA

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTSTYLE

          public static final int ICE_OUTPUTSTYLE

      See Also:
        Constant Field Values

    - #### ICE_PANELCOLLAPSIBLE

          public static final int ICE_PANELCOLLAPSIBLE

      See Also:
        Constant Field Values

    - #### ICE_PANELDIVIDER

          public static final int ICE_PANELDIVIDER

      See Also:
        Constant Field Values

    - #### ICE_PANELLAYOUT

          public static final int ICE_PANELLAYOUT

      See Also:
        Constant Field Values

    - #### ICE_PANELPOPUP

          public static final int ICE_PANELPOPUP

      See Also:
        Constant Field Values

    - #### ICE_PANELSERIES

          public static final int ICE_PANELSERIES

      See Also:
        Constant Field Values

    - #### ICE_PANELSTACK

          public static final int ICE_PANELSTACK

      See Also:
        Constant Field Values

    - #### ICE_PANELTAB

          public static final int ICE_PANELTAB

      See Also:
        Constant Field Values

    - #### ICE_PANELTABSET

          public static final int ICE_PANELTABSET

      See Also:
        Constant Field Values

    - #### ICE_PANELTOOLTIP

          public static final int ICE_PANELTOOLTIP

      See Also:
        Constant Field Values

    - #### ICE_PORTLET

          public static final int ICE_PORTLET

      See Also:
        Constant Field Values

    - #### ICE_OUTPUTPROGRESS

          public static final int ICE_OUTPUTPROGRESS

      See Also:
        Constant Field Values

    - #### ICE_ROWSELECTOR

          public static final int ICE_ROWSELECTOR

      See Also:
        Constant Field Values

    - #### ICE_SELECTINPUTDATE

          public static final int ICE_SELECTINPUTDATE

      See Also:
        Constant Field Values

    - #### ICE_SELECTINPUTTEXT

          public static final int ICE_SELECTINPUTTEXT

      See Also:
        Constant Field Values

    - #### ICE_COMMANDSORTHEADER

          public static final int ICE_COMMANDSORTHEADER

      See Also:
        Constant Field Values

    - #### ICE_TREENODE

          public static final int ICE_TREENODE

      See Also:
        Constant Field Values

    - #### ICE_TREE

          public static final int ICE_TREE

      See Also:
        Constant Field Values

    - #### ICE_PANELPOSITIONED

          public static final int ICE_PANELPOSITIONED

      See Also:
        Constant Field Values

    - #### ICE_PANELCONFIRMATION

          public static final int ICE_PANELCONFIRMATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExtendedAttributeConstants

          public ExtendedAttributeConstants()

  - ### Method Detail

    - #### getAttributes

          public static java.lang.String[] getAttributes(int i)

    - #### getAttributes

          public static java.lang.String[] getAttributes(int index,
                                                         java.lang.String[][] remove)

    - #### getAttributes

          public static java.lang.String[] getAttributes(int index,
                                                         java.lang.String[] remove)

      This method is used to exclude entries from a components's list of passthrough attributes. The remove parameter may contain entries that are not in the list of component attributes returnd from getAttributes(int).

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.